summaryrefslogtreecommitdiffstats
path: root/source/a/module-init-tools/module-init-tools.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/module-init-tools/module-init-tools.SlackBuild')
-rwxr-xr-xsource/a/module-init-tools/module-init-tools.SlackBuild122
1 files changed, 122 insertions, 0 deletions
diff --git a/source/a/module-init-tools/module-init-tools.SlackBuild b/source/a/module-init-tools/module-init-tools.SlackBuild
new file mode 100755
index 000000000..d69b43bc2
--- /dev/null
+++ b/source/a/module-init-tools/module-init-tools.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=3.6
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-module-init-tools
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf module-init-tools-$VERSION
+tar xvf $CWD/module-init-tools-$VERSION.tar.bz2 || exit 1
+cd module-init-tools-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Look for /etc/modprobe.d/ first rather than bailing on the idea if
+# /etc/modprobe.conf exists. IMHO, this is a better default behavior
+# because it allows /etc/modprobe.conf to remain behind if something
+# still looks there, and allows a smoother transition towards using
+# /etc/modprobe.d/ instead.
+zcat $CWD/modprobe.favor.etc.modprobe.d.diff.gz | patch -p1 --verbose || exit 1
+
+# Exclude *.{old,new,bak} files (and a few others that obviously aren't
+# valid for this... Thanks to Marco d'Itri for the patch that it's based on
+zcat $CWD/modprobe.ignore_some_suffixes.diff.gz | patch -p1 --verbose || exit 1
+
+# We get (pointless) errors in early stages of the boot if modprobe checks for
+# a mounted /sys before it actually gets mounted:
+zcat $CWD/modprobe.no_sys_check.diff.gz | patch -p1 --verbose || exit 1
+
+# Using --bindir=/sbin to make lsmod go there too
+CFLAGS= \
+./configure \
+ --prefix=/ \
+ --bindir=/sbin \
+ --docdir=/usr/doc/module-init-tools-$VERSION \
+ --mandir=/usr/man \
+ --enable-zlib \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# We don't need this
+rm -f $PKG/sbin/generate-modprobe.conf
+
+# Links lsmod into /bin
+mkdir -p $PKG/bin
+( cd $PKG/bin ; ln -sf /sbin/lsmod . )
+
+# Add manpage symlink for modprobe.d
+( cd $PKG/usr/man/man5
+ if [ -f modprobe.conf.5 -a ! -e modprobe.d.5 ]; then
+ ln -sf modprobe.conf.5 modprobe.d.5
+ fi
+)
+
+# Compress manpages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/etc/modprobe.d/
+cat << EOF > $PKG/etc/modprobe.conf.new
+# /etc/modprobe.conf (old location for Linux 2.6+ config)
+#
+# The use of this config file is deprecated.
+# Instead, create files in the /etc/modprobe.d/ directory
+# containing modprobe options.
+#
+# For more information, see "man modprobe.conf".
+EOF
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/module-init-tools-$VERSION
+# Most of these are out of date
+cp -a \
+ AUTHORS CODING COPYING FAQ HACKING INSTALL NEWS README TODO \
+ $PKG/usr/doc/module-init-tools-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/module-init-tools-$VERSION-$ARCH-$BUILD.txz
+